/************************************************************************/
/*																		*/
/*	System		: 78K0/IB2 Fluorecent Ballast Evaluation Board			*/
/*				  (EZ-BLST-003)											*/
/*																		*/
/*	Function	: Interrupt process										*/
/*																		*/
/*	CPU			: uPD78F0756											*/
/*																		*/
/*	Last Update	: 2009/08/10(MON)										*/
/*																		*/
/*	File name	: interrupt.c											*/
/*																		*/
/************************************************************************/
#pragma	SFR

#pragma INTERRUPT INTTMX1 fn_inttmx1	/* Interrupt function declaration: INTTMX1 */

/*========================================================================
	External Variable definition
========================================================================*/
extern sreg unsigned short ushInvCycle;	/* Inverter cycle to rewrite TX1CR3 */

/*************************************************************************
**	
**  function name:
**  	fn_inttmx1
**
**	function:
**		Update the inverter cycle.
**		Set TX1CR3 to target cycle.
**		This function is interrupt function of TMX1.
**
**  Argument:
**  	void
**
**  Returned value:
**  	void
**
*************************************************************************/
__interrupt void fn_inttmx1(void)
{
	TX1CR3 = ushInvCycle;	/* Update the inverter cycle */
	TMMKX1 = 1;				/* Musk the INTTMX1 interrupt */
}
